Package com.ocient.rest.resources

# Class ResourceHandler

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.channel.SimpleChannelInboundHandler<io.netty.handler.codec.http.FullHttpRequest>
com.ocient.rest.resources.ResourceHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class ResourceHandler extends io.netty.channel.SimpleChannelInboundHandler<io.netty.handler.codec.http.FullHttpRequest>

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Constructor Summary

Constructors
Constructor
Description
`ResourceHandler(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`channelRead0(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.FullHttpRequest msg)`

### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

## Constructor Details

### ResourceHandler

public ResourceHandler(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

## Method Details

### channelRead0

protected void channelRead0(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.FullHttpRequest msg) throws Exception

Specified by:
  `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<io.netty.handler.codec.http.FullHttpRequest>`
Throws:
  `Exception`